<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StreamSerialiser Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a2714d594708bf2890cf9446b1cc70ccc">calculateChecksum</a>(Chunk *c)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ac87f7a041f0b1ed6041e733fa91335db">checkStream</a>(bool failOnEof=false, bool validateReadable=false, bool validateWriteable=false) const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a237486ba1b145cfe570c51cedb54ee3a">CHUNK_HEADER_SIZE</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a49a41720d6ae13bafab2fb3c1e2b429a">ChunkStack</a> typedef</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6ef6181ba4aea71c262f81ae85060d53">determineEndianness</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a072077ff56678e964608a7451db7c3f0">Endian</a> enum name</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a072077ff56678e964608a7451db7c3f0a921fa6c4bf1316b54e0877ad1e983c9c">ENDIAN_AUTO</a> enum value</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a072077ff56678e964608a7451db7c3f0afa17cf3b68b6464762f03423afc83d6e">ENDIAN_BIG</a> enum value</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a072077ff56678e964608a7451db7c3f0a344ebede556d120f89fbfd35b544a0fb">ENDIAN_LITTLE</a> enum value</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a2aecd0f7e7e5ee73170323cac7454940">eof</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ac13f90ca4c868f9a8b2863110af78add">flipEndian</a>(void *pData, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a69b907324d2e7c77bd0c046642ad0583">flipEndian</a>(void *pData, size_t size)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a165758fe3dbf691cc4614abc63024d69">getCurrentChunk</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#af5c1b38b9f485dd541c5e9aa9ea7b570">getCurrentChunkDepth</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ae3eb12b1c3594cfbbad30fa31d7a0800">getCurrentChunkID</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a7cd041da1de973be0a92ca775be612f0">getEndian</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a5be9da80c9d15057443fb1f2c1013d5a">getOffsetFromChunkStart</a>() const </td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a3a0ecfedc4bc930bce30443f3ba4f74b">HEADER_ID</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ad81be1455eacc97d5fcd1df06cbe1b93">isEndOfChunk</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ad9bed5f1d3e5a1ffe15a8a95eaa83f31">makeIdentifier</a>(const String &amp;code)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a1f7b65be90a60d36ede21ddbca4cba4e">mChunkStack</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a1afd29f84fe8344d0f7df4a0bcd427a6">mEndian</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a4b1ace79e9f4d9a1b63a2ce4212e4dd8">mFlipEndian</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ad1f0a83979a77f2b9697878f0b2ca1b5">mReadWriteHeader</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a21c3c9f215ea3b5c279fd2fdee0941ca">mRealFormat</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aa66d607581455552e7cc8e0ab835cc59">mStream</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aa5e27e1fff17725bb9970d9ad81cfb39">peekNextChunkID</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ab3fd3cdea5734712dac023a0d50d0bd6">popChunk</a>(uint id)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a72a8e8540b453b8428992c0c6c599995">read</a>(T *pT, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a46bcb952e488697f41786e1156c00979">read</a>(Real *val, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a273eb21bd429c3a1dc4ac6981bea7c6b">read</a>(Vector2 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a5f557c549a65a20e76e605f9bf9fe4c9">read</a>(Vector3 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aee0e00b95f550cc324cbb5fef1a3766b">read</a>(Vector4 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a3173c30a36415d10b4daf6e130953e0e">read</a>(Quaternion *q, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a9a3af44ad9ac9d841ec5e15d4c6856f3">read</a>(Matrix3 *m, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a28eec6a458dd2f02a8849a51dc107dcf">read</a>(Matrix4 *m, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aa930c1889b253433b459176426795627">read</a>(String *string)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a32788255718a172dd040cf6766e8e32a">read</a>(AxisAlignedBox *aabb, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a242f3491c47852b53b0b689edfc25e4c">read</a>(Sphere *sphere, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a85a44458396fa2170fa8858a0328fa97">read</a>(Plane *plane, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a838c7aea842143bcf54d82d3fe085efe">read</a>(Ray *ray, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a8da61d9cfea11fa94aef4b3ea1a81eae">read</a>(Radian *angle, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a5e45523a0409077bbcab706ef0a58f64">read</a>(Node *node, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#af8fe1551fa5a1dc26317c9b57b8ef1f6">read</a>(bool *val, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a4e88223124b49f1471ccd06600a7a2d4">readChunkBegin</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aa183c0e84dd36033cc1d24bdde003a21">readChunkBegin</a>(uint32 id, uint16 maxVersion, const String &amp;msg=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a97b3a9ad5caea2da65b36a07816f968e">readChunkEnd</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a389f5a295d7a4b7d04e9c3c275565b3b">readChunkImpl</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#abe33f9186fecab03302d2e75632faf3f">readConverted</a>(T *dst, U typeToRead, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a2d9cd8abb22fbd17c795aa62765b4a59">readData</a>(void *buf, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ae689c4645ffe17b1356efae30f88dc76">readDoublesAsFloats</a>(float *val, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a7fd511ed18b3d2cec361364e81c124d1">readFloatsAsDoubles</a>(double *val, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a51cb0154586c2ae1f78e354bad488f3f">readHeader</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6cf4285399b89b088f2f297dda10fc91a2b594a33ac97bd7a0cc2d9047e2b1912">REAL_DOUBLE</a> enum value</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6cf4285399b89b088f2f297dda10fc91ae3bcbc915c3187091bf95f1e7426a837">REAL_FLOAT</a> enum value</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6cf4285399b89b088f2f297dda10fc91">RealStorageFormat</a> enum name</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a719bc5b2dbd34177bc90955572564cde">REVERSE_HEADER_ID</a></td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6f33fe43504c631349b4a4c6244525b1">StreamSerialiser</a>(const DataStreamPtr &amp;stream, Endian endianMode=ENDIAN_AUTO, bool autoHeader=true, RealStorageFormat realFormat=REAL_FLOAT)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#aac94278ebfddb581f5e73838f573c9cd">undoReadChunk</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a2aae82219abe1e37ea5f1c1adf8bdd1c">write</a>(const T *pT, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a596a55c0496333afcfa6af3e51e36e64">write</a>(const Real *val, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a60ac46edf43d39927816e34b1a0d983c">write</a>(const Vector2 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ada08984a52a07febc6ddd531c60adbd6">write</a>(const Vector3 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a994f2de1f0d13f674b6946b2490c225a">write</a>(const Vector4 *vec, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a53163836004961bea4bb7ab73819b322">write</a>(const Quaternion *q, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6430b8559a0b559d3eefaebef786759e">write</a>(const Matrix3 *m, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a0ffe90cc7b051f0f56faccc739988cea">write</a>(const Matrix4 *m, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a82759066f35c8cb08e24ce4357c747c7">write</a>(const String *string)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6731deffcb48fa5b78422e4f955f5f93">write</a>(const AxisAlignedBox *aabb, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a5435ad86ff5851f9012191d3b5179a55">write</a>(const Sphere *sphere, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a0d289d76cc669fd1ade3ef05fa48bd21">write</a>(const Plane *plane, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ad453d94c2cc1ebd6a13d2571ee8d5456">write</a>(const Ray *ray, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a79d03ff4a8aedc9e28412dc25fa48027">write</a>(const Radian *angle, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a456b335842b528abb03c953049cac7ad">write</a>(const Node *node, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a4397c12bc7f970bd559d0d24a0116b36">write</a>(const bool *boolean, size_t count=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a49f031773228cdd832db5c52e7e0ea72">writeChunkBegin</a>(uint32 id, uint16 version=1)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#ad7dbda6a8b282814f3eabcaed6f86abc">writeChunkEnd</a>(uint32 id)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6f3b9b50f4c06211f439f6dfb0113e31">writeChunkImpl</a>(uint32 id, uint16 version)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a7dafee8d9dd56a443179c26b2cf1ad6c">writeConverted</a>(const T *src, U typeToWrite, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a192b4339d7d5ba458824751e01575d92">writeData</a>(const void *buf, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a92241a388ff467586b79c531dd4f1611">writeDoublesAsFloats</a>(const double *val, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a92f8e68084e23c9b0be1cb83e0e3779d">writeFloatsAsDoubles</a>(const float *val, size_t count)</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a778a13ca956d2ba25d2ec225da0e4024">writeHeader</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StreamSerialiser.html#a6469d16380285e935ad31ab9c1807f43">~StreamSerialiser</a>()</td><td><a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
